Subject: bug#10669: closed (Re: bug#10669: More debugging)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 14 Aug 2020 14:51:02 +0000

Your bug report

#10669: 24.0.93; Emacs daemon high CPU load

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10669: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10669
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10669: More debugging
From: Stefan Kangas <[email-masked]>
To: Michael Welsh Duggan <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 14 Aug 2020 07:50:27 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Welsh Duggan <[email-masked]> writes:

> I think you can close this.  If I encounter it again, I will just create
> a new bug.

Thanks, closing this bug now.

Best regards,
Stefan Kangas

Subject: 24.0.93; Emacs daemon high CPU load
From: Michael Welsh Duggan <[email-masked]>
To: [email-masked]
Date: Mon, 30 Jan 2012 17:53:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

In certain circumstances, emacs running in daemon mode ends up in a high
CPU state, and fills the .xsession-errors log with large numbers of
"Back to top level." messages.  I am using a freshly bootstrapped bzr
trunk checkout of emacs from 2012.01.29.

Here follows the minimal set of steps I was able to determine that
recreates the problem.  Small deviations from this (such as not using
emacsclient) did not trigger the problem.  I am running Gnome 3 and the
gnome-shell, but have seen (although not tested in detail) this same
problem in a Gnome 2 desktop session.

In a Gnome desktop session:

1) Create a .emacs file containing the following single line:

   (server-start)

2) Start emacs using the following incantation:

   emacsclient -a "" -c -n

3) Log out of the desktop session.

4) Log in.

5) Run top.  See that emacs is taking up most of the CPU.

I have been able to attach gdb to the runaway process, but have as yet
been unable to determine what it is doing.  If others are unable to
recreate the problem, I am happy to try debugging on this end, with a
little guidance.

In GNU Emacs 24.0.93.1 (i686-pc-linux-gnu, X toolkit)
 of 2012-01-29 on maru
Windowing system distributor `The X.Org Foundation', version 11.0.11103901
Configured using:
 `configure '--enable-asserts' 'CFLAGS=-ggdb3 -O0'
 '--without-toolkit-scroll-bars' '--enable-maintainer-mode'
 '--with-x-toolkit=lucid''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

-- 
Michael Welsh Duggan
([email-masked])